'use strict';

const Controller = require('egg').Controller;
// APP功能统计分析模块
class AppBehaviorController extends Controller {

  // APP功能时长排序
  async duration() {
    const { ctx } = this;
    // 校验参数 组装参数
    ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getBehavior('duration');
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // APP功能次数排序
  async count() {
    const { ctx } = this;
    // 校验参数 组装参数
    ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getBehavior('count');
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async ext() {
    const { ctx } = this;
    // 调用 Service 进行业务处理
    const data = await ctx.getAppExt();
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // 远控功能次数统计
  async rc() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // 远控功能执行失败统计
  async rcFail() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }


}

module.exports = AppBehaviorController;
