'use strict';

const Controller = require('egg').Controller;
// APP异常反馈统计分析模块
class AppFeedbackController extends Controller {

  // APP反馈
  async feedback() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // APP异常
  async exception() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getData(payload, { count: 'total', value: [ 'total', 'sys_count', 'interface_exception_count' ] });
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }


}

module.exports = AppFeedbackController;
