'use strict';

const Controller = require('egg').Controller;
// ivi活跃用户总数统计分析模块
class IviActiveUserController extends Controller {

  // ivi活跃用户总数
  async index() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // ivi活跃用户位置分布
  async location() {
    const { ctx } = this;
    // 调用 Service 进行业务处理
    const data = await ctx.getArea();
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // ivi活跃用户性别和年龄
  async sexAndAge() {
    const { ctx } = this;

    // 调用 Service 进行业务处理
    const data = await ctx.getSex2Age();
    // 设置响应内容和响应状态码
    ctx.success({ data });
  }

}

module.exports = IviActiveUserController;
