'use strict';

const Controller = require('egg').Controller;

// 车辆内饰硬件统计分析模块
class VehicleHardwareController2 extends Controller {

  async index() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getMix(payload, this.ctx.params.id);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async mixMY() {
    const { ctx, service } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    let key = this.ctx.params.id;
    switch (payload.type) {
      case '1':
        key += 'Month';
        break;
      case '2':
        key += 'Year';
        break;
      default:
        break;
    }
    const data = await ctx.getMix(payload, key);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }


  async air() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getAir(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  async count() {
    const { ctx } = this;
    // 校验参数 组装参数
    const payload = ctx.validate();
    // // 调用 Service 进行业务处理
    const data = await ctx.getData(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }


}

module.exports = VehicleHardwareController2;
