/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1576464120622_7058';
  // post form请求 关闭csrf安全插件
  config.security = {
    csrf: {
      enable: false,
      ignoreJSON: true,
    },
    // domainWhiteList: [ 'http://www.baidu.com' ], // 配置白名单
  };

  // add your middleware config here
  config.middleware = [ 'errorHandler' ];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
    cors: {
      origin: '*', // 注释掉就是上面的white生效
      allowMethods: 'GET,HEAD,PUT,POST,DELETE,PATCH',
    },
  };


  // config.mongoose = {
  //   url: process.env.EGG_MONGODB_URL || 'mongodb://127.0.0.1/view',
  //   options: {
  //     server: {
  //       poolSize: 40,
  //     },
  //   },
  //
  // };

  config.validate = { // 配置参数校验器，基于parameter
    convert: true, // 对参数可以使用convertType规则进行类型转换
    // validateRoot: false,   // 限制被验证值必须是一个对象。
  };


  return {
    ...config,
    ...userConfig,
  };
};
